/*
 * ListeurSimple.java
 *
 * Created on 6 fvrier 2004, 13:21
 */

package tp10_1;

import java.io.*;
import java.net.*;
import java.sql.*;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author  rosmord
 * @version
 */
public class ListeurSimple extends HttpServlet {
    
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
        // output your page here
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet</title>");
        out.println("</head>");
        out.println("<body>");
        try {
            Class.forName("org.postgresql.Driver");
            
            // Rcupration des paramtres de la requte ( partir du noms des champs)
            String url= request.getParameter("url");
            String login= request.getParameter("login");
            String password= request.getParameter("password");
            
            // Cration de la connection, et d'un statement.
            
            Connection db= DriverManager.getConnection(url,login,password);
            try {
                Statement st= db.createStatement();
                
                ResultSet res= st.executeQuery("select * from Personne");
                
                // Lister les donnes.
                while (res.next()) {
                    out.println("<p> "
                    + "id : "+ res.getInt("idPersonne")
                    + ", nom : "+ res.getString("nom")
                    + ", prenom : " + res.getString("prenom"));
                }
                // On ferme tout.
                res.close();
                st.close();
            } finally {
                // Exception ou pas, on ferme la connexion.
                // Le traitement effectif des exceptions est fait
                // dans le try...catch englobant.
                db.close();
            }
            // Mme en cas de plantage, on veut fermer la connexion sql.
        } catch (Exception e) {
            // On transforme l'erreur en ServletException,
            // qui sera affiche sur le client,
            // ce qui facilite le dbugging.
            throw new ServletException(e);
        }
        out.println("</body>");
        out.println("</html>");
        out.close();
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
